function x = iff(cond,iftrue,iffalse)
% IFF  [Not a public function] Functional form of IF statement.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

if length(cond) ~= 1
   error('Condition must be scalar.');
end

if cond
   x = iftrue;
else
   x = iffalse;
end

end